# Class VulkanSurfaceFormatKHR.Builder

java.lang.Object
com.io7m.jcoronado.extensions.khr_surface.api.VulkanSurfaceFormatKHR.Builder

Enclosing class:
  `VulkanSurfaceFormatKHR`

public static final class VulkanSurfaceFormatKHR.Builder extends Object
Builds instances of type `VulkanSurfaceFormatKHR`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanSurfaceFormatKHR`
  `build()`
  Builds a new `VulkanSurfaceFormatKHR`.
  `final VulkanSurfaceFormatKHR.Builder`
  `from(VulkanSurfaceFormatKHRType instance)`
  Fill a builder with attribute values from the provided `VulkanSurfaceFormatKHRType` instance.
  `final VulkanSurfaceFormatKHR.Builder`
  `setColorSpace(VulkanColorSpaceKHR colorSpace)`
  Initializes the value for the `colorSpace` attribute.
  `final VulkanSurfaceFormatKHR.Builder`
  `setFormat(VulkanFormat format)`
  Initializes the value for the `format` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanSurfaceFormatKHR.Builder from(VulkanSurfaceFormatKHRType instance)
    Fill a builder with attribute values from the provided `VulkanSurfaceFormatKHRType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setFormat

    public final VulkanSurfaceFormatKHR.Builder setFormat(VulkanFormat format)
    Initializes the value for the `format` attribute.
    Parameters:
      `format` - The value for format
    Returns:
      `this` builder for use in a chained invocation

  - ### setColorSpace

    public final VulkanSurfaceFormatKHR.Builder setColorSpace(VulkanColorSpaceKHR colorSpace)
    Initializes the value for the `colorSpace` attribute.
    Parameters:
      `colorSpace` - The value for colorSpace
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanSurfaceFormatKHR build()
    Builds a new `VulkanSurfaceFormatKHR`.
    Returns:
      An immutable instance of VulkanSurfaceFormatKHR
    Throws:
      `IllegalStateException` - if any required attributes are missing